:: Corona Image Editor - batch processing command-line script
:: Render Legion s.r.o., 2014-2017
:: www.corona-renderer.com

@echo off

:: Selects a render element that should be processed and saved. It could be
:: either the name of a single render element as it is presented in the GUI
:: version of the editor (for instance, the beauty render element BEAUTY),
:: or the asterisk symbol (*) for selecting all render elements at once.
set inputElement=*

:: Selects an image format to use for saving output images. Could be either
:: png, bmp, jpg, exr, or cxr for the Corona EXR format.
set outputFormat=jpg

:: Sets the expected name of a configuration file to be used to define the
:: postprocessing settings. The easiest way to create the configuration file is
:: to save it directly from the GUI version of the editor, or to save it from
:: the Corona VFB.
set postprocessConfig=Postprocess.conf

:: Same as above, but for LightMix settings.
set lightMixConfig=LightMix.conf

:: Sets a path to the command-line version of the editor which is being used
:: for processing images. Usually there is no need to change this.
set editorExecutable=C:\Program Files\Corona\Corona Renderer for 3ds Max\Image Editor\CoronaImageCmd.exe


:: DO NOT EDIT BELOW THIS POINT

setlocal EnableDelayedExpansion

for /r %%f in (*.cxr) do (
	set editorArguments=

	if exist "%postprocessConfig%" (
    	set editorArguments=!editorArguments! --config "%postprocessConfig%"
	)
	if exist "%lightMixConfig%" (
    	set editorArguments=!editorArguments! --config "%lightMixConfig%"
	)
	set editorArguments=!editorArguments! --element "%inputElement%"
	
	set inputImage=%%f
	set editorArguments=!editorArguments! "!inputImage!"
	set outputImage=%%~df%%~pfPost_%%~nf.%outputFormat%
	set editorArguments=!editorArguments! "!outputImage!"

	echo Processing !inputImage!
	"%editorExecutable%" !editorArguments!
)
